"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectLogWifiError = exports.WifiConnectErrorMsg = exports.WifiConfErrorMsg = void 0;
const isIOS = navigator
    ? navigator.userAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)
    : wx.getSystemInfoSync().platform === 'ios';
exports.WifiConfErrorMsg = {
    // udp 相关
    UDP_ERROR: '发送配网消息失败，请重启微信APP后重试配网',
    UDP_CLOSED: '设备连接中断，请检查设备配网状态后重试',
    UDP_SEND_MSG_FAIL: '设备连接失败，请检查设备配网状态后重试',
    UDP_NOT_RESPONSE: '设备未响应，请检查设备和网络后重试',
    // 网络连接
    CONNECT_WIFI_FAIL: 'CONNECT_WIFI_FAIL',
    CONNECT_WIFI_IN_SETTING_ERROR: '在设置页连接失败',
    CONNECT_WIFI_IN_SETTING_TIMEOUT: '在设置页连接超时',
    // 配网相关
    WIFI_CONF_FAIL: '配网失败，请检查设备和网络后重试',
    PROTOCOL_FAIL: '配网失败，请检查设备和网络后重试',
    PROTOCOL_TIMEOUT: '配网超时，请检查设备和网络后重试',
    PROTOCOL_INVALID_RESPONSE: '无效响应，请检查设备和网络后重试',
    // 自定义业务流程相关
    BUSINESS_DEVICE_ERROR: '设备连接中断，请检查设备配网状态后重试',
    BUSINESS_INVALID_RESPONSE: '设备响应错误，请检查设备和网络后重试',
    BUSINESS_DEVICE_CONNECT_MQTT_FAIL: '设备连接云端失败，请检查网络后重试',
    BUSINESS_DEVICE_CONNECT_WIFI_FAIL: '设备连接网络失败，请检查WiFi密码后重试',
    BUSINESS_ADD_DEVICE_FAIL: '添加设备失败',
    BUSINESS_QUERY_BIND_TOKEN_TIMEOUT: '设备连接云端超时，请检查WiFi密码后重试',
    BUSINESS_QUERY_BIND_TOKEN_FAIL: '查询设备连接云端状态失败，请检查网络后重试',
    BUSINESS_WIFI_RECONNECT_FAIL: '小程序重新连接目标WI-FI失败，重试时请弹窗提示失败后手动切换再按确定',
    // 上报
    MODULE_REPORT_CONNECT_WIFI_ERROR: '连接设备失败，请检查设备电源和信号后重试',
    MODULE_REPORT_COMMUNICATE_AP_ERROR: '与设备通信失败，请检查设备电源和信号后重试',
    MODULE_REPORT_ERROR: '收集设备日志失败，请检查设备电源和信号后重试',
    MODULE_REPORT_TIMEOUT: '收集设备日志超时，请检查设备电源和信号后重试',
};
exports.WifiConnectErrorMsg = {
    // 未先调用 startWifi 接口
    12000: 'WiFi模块初始化失败，请重启微信后重试',
    // 当前系统不支持相关能力
    12001: '您的设备或系统不支持进行WiFi连接',
    // 密码错误
    12002: '请检查您的WiFi密码是否正确',
    // 连接超时
    12003: '连接WiFi热点超时，请重新连接',
    // 重复连接 Wi-Fi
    12004: '重复连接 Wi-Fi',
    // Android 特有，未打开 Wi-Fi 开关
    12005: '配网操作需打开WiFi开关，请打开后重试',
    // Android 特有，未打开 GPS 定位开关
    12006: '配网操作需打开GPS定位开关，请打开后重试',
    // 用户拒绝授权链接 Wi-Fi
    12007: isIOS
        ? 'WiFi连接操作被拒绝，请重试并在弹出的提示框中点击“加入”'
        : 'WiFi连接操作被拒绝，请重试并在弹出的提示框中点击允许连接WiFi',
    // 无效 SSID
    12008: '请确认连接的WiFi热点是否正确',
    // 系统运营商配置拒绝连接 Wi-Fi
    12009: '配置WiFi连接失败，请尝试其他WiFi热点',
    // 应用在后台无法配置 Wi-Fi
    12011: '配置WiFi连接失败，请重试',
    // 系统保存的 Wi-Fi 配置过期，建议忘记 Wi-Fi 后重试
    12013: '系统保存的WiFi配置过期，请在系统设置中忘记该WiFi后重试',
    // 系统其他错误，需要在 errmsg 打印具体的错误原因
    // 12010,
    NO_WIFI_IS_CONNECTED: '请检查WiFi信号和密码后重试',
    SSID_MISMATCH: '请检查WiFi信号和密码后重试',
    SOFTAP_WIFIINFO_MISMATCH: '当前连接Wi-Fi与设备热点名称不匹配',
    IOS_REFRESH_TIMEOUT: '获取WiFi列表超时，请重试',
    DEFAULT: '请检查WiFi开关是否打开后重试',
};
exports.ConnectLogWifiError = Object.assign({
    12002: '连接设备失败',
    12003: '连接设备超时，请检查设备电源和信号后重试',
    12005: '收集设备日志需打开WiFi开关，请打开后重试',
    12006: '收集设备日志需打开GPS定位开关，请打开后重试',
    12009: '连接设备失败',
    12011: '连接设备失败，请重试',
    NO_WIFI_IS_CONNECTED: '连接设备失败，请检查设备电源和信号后重试',
    RECONNECT_WIFI_FAIL: '连接设备失败，请检查设备电源和信号后重试',
    DEFAULT: '连接设备失败，请检查设备电源和信号后重试',
}, exports.WifiConnectErrorMsg);
//# sourceMappingURL=errors.js.map