"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectWifi = void 0;
const qcloud_iotexplorer_appdev_sdk_1 = require("qcloud-iotexplorer-appdev-sdk");
const connectWifiBase_1 = require("./connectWifiBase");
const connectWifi = async (wifiInfo, { onProgress, }) => {
    onProgress({
        code: "CONNECT_WIFI_START" /* WifiConfStepCode.CONNECT_WIFI_START */,
    });
    const startConnectWifi = Date.now();
    try {
        await (0, connectWifiBase_1.connectWifiBase)(wifiInfo);
        onProgress({
            code: "CONNECT_WIFI_SUCCESS" /* WifiConfStepCode.CONNECT_WIFI_SUCCESS */,
            detail: {
                timeCost: Date.now() - startConnectWifi,
            },
        });
    }
    catch (error) {
        console.error('connectWifi error', error);
        const isConfirm = await qcloud_iotexplorer_appdev_sdk_1.AppDevSdk.utils.tips.confirm(`手机连接目标Wi-Fi"${wifiInfo.SSID}"失败，请手动切换后继续配网操作`, '', {
            confirmText: '继续',
            confirmColor: qcloud_iotexplorer_appdev_sdk_1.AppDevSdk.constants.themeColorMap.primary,
            cancelText: '取消',
            cancelColor: qcloud_iotexplorer_appdev_sdk_1.AppDevSdk.constants.themeColorMap.danger,
            enforce: true,
        });
        if (!isConfirm) {
            return Promise.reject(Object.assign(Object.assign({}, error), { code: 'CONNECT_WIFI_FAIL' }));
        }
        onProgress({
            code: "CONNECT_WIFI_MANUAL" /* WifiConfStepCode.CONNECT_WIFI_MANUAL */,
            detail: {
                timeCost: Date.now() - startConnectWifi,
            },
        });
    }
};
exports.connectWifi = connectWifi;
//# sourceMappingURL=connectWifi.js.map