"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.connectWifiBase = void 0;
const tslib_1 = require("tslib");
const wxApis_1 = tslib_1.__importDefault(require("./wxApis"));
const util_1 = require("./util");
const qcloud_iotexplorer_appdev_sdk_1 = require("qcloud-iotexplorer-appdev-sdk");
const getConnectedWifi_1 = require("./getConnectedWifi");
const connectWifiBase = async (wifiInfo) => {
    var _a, _b;
    const isIOS = (0, util_1.checkIsIOS)();
    await wxApis_1.default.startWifi();
    let isTargetWifi = false;
    try {
        isTargetWifi = await (0, getConnectedWifi_1.checkIsTargetWifi)(wifiInfo);
    }
    catch (e) {
        console.error('checkIsTargetWifi error', e);
    }
    if (isTargetWifi) {
        // @ts-ignore
        (_b = (_a = this === null || this === void 0 ? void 0 : this.sdk) === null || _a === void 0 ? void 0 : _a.reporter) === null || _b === void 0 ? void 0 : _b.info('CONNECT_WIFI_AUTO, wifi已经自动连接');
        return;
    }
    // TODO: 安卓自己有弹窗，在ios
    isIOS && qcloud_iotexplorer_appdev_sdk_1.AppDevSdk.utils.tips.showLoading('WiFi连接中', '');
    await wxApis_1.default.connectWifi({
        SSID: wifiInfo.SSID,
        password: wifiInfo.password,
        // 这里如果不加上forceNewApi参数，在安卓中会报错且连接不上
        // 报错内容 errCode:12010，errMsg:connectWifi:fail:fail to connect wifi:invalid network id。
        // @ts-ignore
        // 1. 微信Android 7.0.22之后, 因为适配系统变更, connectWifi调用了新的系统API, 表现是连wifi的时候会弹个系统的确认框
        // 2. 但新的系统API连上wifi之后其他进程用不了, 8.0.3又补了个逻辑, 让能走到老的系统API的情况还是走到老的系统API上(录屏这个没弹框的应该就是这种); 为了兜底, 就加了这个参数, 强制走新的系统API
        forceNewApi: true,
        complete(e) {
            console.log('connectWifi fail complete', e);
        },
    });
    isIOS && qcloud_iotexplorer_appdev_sdk_1.AppDevSdk.utils.tips.hideLoading();
};
exports.connectWifiBase = connectWifiBase;
//# sourceMappingURL=connectWifiBase.js.map