"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkIsTargetWifi = exports.getConnectedWifi = void 0;
const tslib_1 = require("tslib");
const wxApis_1 = tslib_1.__importDefault(require("./wxApis"));
const getConnectedWifi = async () => {
    var _a, _b;
    const { wifi: connectedWifi } = await wxApis_1.default.getConnectedWifi();
    // 上报wifi信息、信号强度
    // @ts-ignore
    (_b = (_a = this === null || this === void 0 ? void 0 : this.sdk) === null || _a === void 0 ? void 0 : _a.reporter) === null || _b === void 0 ? void 0 : _b.info('CONNECTED_WIFI_INFO', {
        detail: JSON.stringify(connectedWifi),
    });
    return connectedWifi;
};
exports.getConnectedWifi = getConnectedWifi;
/**
 * 判断当前连接的wifi是否目标wifi
 */
const checkIsTargetWifi = async (wifiInfo) => {
    const connectedWifi = await (0, exports.getConnectedWifi)();
    return (wifiInfo === null || wifiInfo === void 0 ? void 0 : wifiInfo.SSID) === (connectedWifi === null || connectedWifi === void 0 ? void 0 : connectedWifi.SSID);
};
exports.checkIsTargetWifi = checkIsTargetWifi;
//# sourceMappingURL=getConnectedWifi.js.map