"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWxVersion = exports.checkIsHuaWei = exports.checkIsIOS = exports.androidLaterThan7022 = exports.checkIsAndroid = exports.arrayFill = exports.intIp2byte = exports.int2ip = exports.ip2int = exports.formatInetAddr = exports.parseInetAddr = exports.compareVersion = exports.noop = void 0;
const qcloud_iotexplorer_appdev_sdk_1 = require("qcloud-iotexplorer-appdev-sdk");
exports.noop = qcloud_iotexplorer_appdev_sdk_1.AppDevSdk.utils.noop;
function compareVersion(_v1, _v2) {
    const v1 = _v1.split('.');
    const v2 = _v2.split('.');
    const len = Math.max(v1.length, v2.length);
    while (v1.length < len) {
        v1.push('0');
    }
    while (v2.length < len) {
        v2.push('0');
    }
    for (let i = 0; i < len; i++) {
        const num1 = parseInt(v1[i]);
        const num2 = parseInt(v2[i]);
        if (num1 > num2) {
            return 1;
        }
        else if (num1 < num2) {
            return -1;
        }
    }
    return 0;
}
exports.compareVersion = compareVersion;
/**
 * parse InetAddress
 *
 * @param inetAddrBytes
 * @return
 */
function parseInetAddr(inetAddrBytes, offset, count) {
    let sb = '';
    for (let i = 0; i < count; i++) {
        sb += String(inetAddrBytes[offset + i] & 0xff);
        if (i !== count - 1) {
            sb += '.';
        }
    }
    return sb;
}
exports.parseInetAddr = parseInetAddr;
/**
 * format InetAddress to bytes
 *
 * @param[String] ipAddress
 * @return
 */
function formatInetAddr(ipAddress = '') {
    const ipArray = ipAddress.split('.');
    const ipBytes = new Int8Array(ipArray.length);
    for (let i = 0; i < ipArray.length; i++) {
        const ipSegment = parseInt(ipArray[i]);
        // https://www.xuebuyuan.com/zh-hant/1898388.html
        ipBytes[i] = ipSegment > 127 ? ipSegment - 256 : ipSegment;
    }
    return ipBytes;
}
exports.formatInetAddr = formatInetAddr;
/**
 * format InetAddress to int
 *
 * @param[String] ipAddress
 * @return
 */
function ip2int(s) {
    const sp = formatInetAddr(s);
    return (sp[0] & 255) * 0x1000000 + (sp[1] & 255) * 0x10000 + (sp[2] & 255) * 0x100 + (sp[3] & 255);
}
exports.ip2int = ip2int;
/**
 * format int to ip
 *
 * @param[String] ipAddress
 * @return
 */
function int2ip(n) {
    return `${(n >> 24) & 255}.${(n >> 16) & 255}.${(n >> 8) & 255}.${n & 255}`;
}
exports.int2ip = int2ip;
/**
 * format intip to byte
 *
 * @param[String] ipAddress
 * @return
 */
function intIp2byte(__in) {
    const out = [0, 0, 0, 0];
    out[0] = ((((__in >> 24) & 255) | 0));
    out[1] = ((((__in >> 16) & 255) | 0));
    out[2] = ((((__in >> 8) & 255) | 0));
    out[3] = (((__in & 255) | 0));
    return out;
}
exports.intIp2byte = intIp2byte;
function arrayFill(array, value) {
    for (let i = 0; i < array.length; i++) {
        array[i] = value;
    }
}
exports.arrayFill = arrayFill;
const checkIsAndroid = () => wx.getSystemInfoSync().platform.indexOf('android') > -1;
exports.checkIsAndroid = checkIsAndroid;
const androidLaterThan7022 = () => {
    const isAndroid = (0, exports.checkIsAndroid)();
    const highVersion = compareVersion((0, exports.getWxVersion)(), '7.0.22') >= 0;
    return isAndroid && highVersion;
};
exports.androidLaterThan7022 = androidLaterThan7022;
const checkIsIOS = () => wx.getSystemInfoSync().platform.indexOf('ios') > -1;
exports.checkIsIOS = checkIsIOS;
const checkIsHuaWei = () => wx.getSystemInfoSync().brand.indexOf('HUAWEI') > -1;
exports.checkIsHuaWei = checkIsHuaWei;
const getWxVersion = () => wx.getSystemInfoSync().version;
exports.getWxVersion = getWxVersion;
//# sourceMappingURL=util.js.map