import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
import { connectWifiBase } from './connectWifiBase';
export const connectWifi = async (wifiInfo, { onProgress, }) => {
    onProgress({
        code: "CONNECT_WIFI_START" /* WifiConfStepCode.CONNECT_WIFI_START */,
    });
    const startConnectWifi = Date.now();
    try {
        await connectWifiBase(wifiInfo);
        onProgress({
            code: "CONNECT_WIFI_SUCCESS" /* WifiConfStepCode.CONNECT_WIFI_SUCCESS */,
            detail: {
                timeCost: Date.now() - startConnectWifi,
            },
        });
    }
    catch (error) {
        console.error('connectWifi error', error);
        const isConfirm = await AppDevSdk.utils.tips.confirm(`手机连接目标Wi-Fi"${wifiInfo.SSID}"失败，请手动切换后继续配网操作`, '', {
            confirmText: '继续',
            confirmColor: AppDevSdk.constants.themeColorMap.primary,
            cancelText: '取消',
            cancelColor: AppDevSdk.constants.themeColorMap.danger,
            enforce: true,
        });
        if (!isConfirm) {
            return Promise.reject(Object.assign(Object.assign({}, error), { code: 'CONNECT_WIFI_FAIL' }));
        }
        onProgress({
            code: "CONNECT_WIFI_MANUAL" /* WifiConfStepCode.CONNECT_WIFI_MANUAL */,
            detail: {
                timeCost: Date.now() - startConnectWifi,
            },
        });
    }
};
//# sourceMappingURL=connectWifi.js.map