import wxApis from './wxApis';
import { checkIsIOS } from './util';
import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
import { checkIsTargetWifi } from './getConnectedWifi';
export const connectWifiBase = async (wifiInfo) => {
    var _a, _b;
    const isIOS = checkIsIOS();
    await wxApis.startWifi();
    let isTargetWifi = false;
    try {
        isTargetWifi = await checkIsTargetWifi(wifiInfo);
    }
    catch (e) {
        console.error('checkIsTargetWifi error', e);
    }
    if (isTargetWifi) {
        // @ts-ignore
        (_b = (_a = this === null || this === void 0 ? void 0 : this.sdk) === null || _a === void 0 ? void 0 : _a.reporter) === null || _b === void 0 ? void 0 : _b.info('CONNECT_WIFI_AUTO, wifi已经自动连接');
        return;
    }
    // TODO: 安卓自己有弹窗，在ios
    isIOS && AppDevSdk.utils.tips.showLoading('WiFi连接中', '');
    await wxApis.connectWifi({
        SSID: wifiInfo.SSID,
        password: wifiInfo.password,
        // 这里如果不加上forceNewApi参数，在安卓中会报错且连接不上
        // 报错内容 errCode:12010，errMsg:connectWifi:fail:fail to connect wifi:invalid network id。
        // @ts-ignore
        // 1. 微信Android 7.0.22之后, 因为适配系统变更, connectWifi调用了新的系统API, 表现是连wifi的时候会弹个系统的确认框
        // 2. 但新的系统API连上wifi之后其他进程用不了, 8.0.3又补了个逻辑, 让能走到老的系统API的情况还是走到老的系统API上(录屏这个没弹框的应该就是这种); 为了兜底, 就加了这个参数, 强制走新的系统API
        forceNewApi: true,
        complete(e) {
            console.log('connectWifi fail complete', e);
        },
    });
    isIOS && AppDevSdk.utils.tips.hideLoading();
};
//# sourceMappingURL=connectWifiBase.js.map