import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
import { Aes } from '../crypto/AesCrypto';
const { byteUtil, } = AppDevSdk.utils;
export const SimpleConfigAES = (messageBuff, messageLen, ivBuff, ivLen, keyBuff, keyLen, outputBuff) => {
    const aesIns = new Aes(keyBuff);
    const { arrayCopy } = byteUtil;
    const v8 = messageLen; // 加密长度
    let v22 = 6;
    const v20 = v8 >> 3; //
    let v21 = 1;
    const ivTemp = new Uint8Array(ivBuff);
    const inputTemp = new Uint8Array(messageBuff); // first copy the env iv
    const encTemp = new Uint8Array(16);
    let outTemp = new Uint8Array(16);
    do {
        let v15 = v21;
        // 一定是 8 的倍数
        for (let i = 0; i < messageLen / 8; i++) {
            arrayCopy(ivTemp, 0, encTemp, 0, 8); // iv is first 8 bytes
            arrayCopy(inputTemp, i * 8, encTemp, 8, 8); // input is last 8 byte
            outTemp = aesIns.encrypt(encTemp);
            arrayCopy(outTemp, 0, ivTemp, 0, 8);
            ivTemp[7] ^= v15++;
            arrayCopy(outTemp, 8, inputTemp, i * 8, 8); // copy to input
        }
        v21 += v20;
        --v22;
    } while (v22);
    arrayCopy(ivTemp, 0, outputBuff, 0, 8);
    arrayCopy(inputTemp, 0, outputBuff, 8, inputTemp.length);
    byteUtil.convertUnit8s2Bytes(outputBuff);
    return messageLen + 8;
};
//# sourceMappingURL=SimpleConfigAES.js.map