import { AppDevSdk } from 'qcloud-iotexplorer-appdev-sdk';
export const tryRequest = async (tryingFn, { reporter }) => {
    try {
        return await tryingFn();
    }
    catch (err) {
        reporter.info('wificonf-try-request-fail', { error: err });
        if (err) {
            // 网络请求失败
            if (err.errMsg && /request:fail/.test(err.errMsg)) {
                const isConfirm = await AppDevSdk.utils.tips.confirm('手机无法正常访问网络', '尝试更换手机Wi-Fi网络或切换到移动信号后重试', {
                    confirmText: '重试',
                    confirmColor: AppDevSdk.constants.themeColorMap.primary,
                    cancelText: '取消配网',
                    cancelColor: AppDevSdk.constants.themeColorMap.danger,
                });
                if (isConfirm) {
                    reporter.info('wificonf-retry-request');
                    return tryRequest(tryingFn, { reporter });
                }
                else {
                    return Promise.reject(err);
                }
            }
            else {
                const isConfirm = await AppDevSdk.utils.tips.confirm(AppDevSdk.utils.tips.getErrorMsg(err), '', {
                    confirmText: '重试',
                    confirmColor: AppDevSdk.constants.themeColorMap.primary,
                    cancelText: '取消',
                    cancelColor: AppDevSdk.constants.themeColorMap.danger,
                });
                if (isConfirm) {
                    reporter.info('wificonf-retry-request');
                    return tryRequest(tryingFn, { reporter });
                }
            }
        }
        return Promise.reject(err);
    }
};
//# sourceMappingURL=tryRequest.js.map